var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React, { PropTypes as PT } from 'react';

import css from '../../styles/button.css';

/**
 * General purpose button.
 */
export default function Button(_ref) {
	var children = _ref.children,
	    primary = _ref.primary,
	    submit = _ref.submit,
	    props = _objectWithoutProperties(_ref, ['children', 'primary', 'submit']);

	var classes = [css.button];

	if (primary) {
		classes.push(css.primary);
	}

	if (props.className) {
		classes.push(props.className);
	}

	return React.createElement(
		'button',
		_extends({}, props, {
			type: submit ? 'submit' : 'button',
			className: classes.join(' ')
		}),
		children
	);
}

Button.propTypes = {
	/**
  * Contents of the button
  */
	children: PT.node,

	/**
  * Additional classes for the button
  */
	className: PT.string,

	/**
  * True if button is a primary button
  */
	primary: PT.bool,

	/**
  * True if button is a submit button
  */
	submit: PT.bool
};

Button.defaultProps = {
	primary: false,
	submit: false
};