var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React, { PropTypes as PT } from 'react';

import css from '../../styles/field.css';

/**
 * Generic input wrapper.
 */
export default function Field(_ref) {
	var children = _ref.children,
	    error = _ref.error,
	    label = _ref.label,
	    orientation = _ref.orientation,
	    props = _objectWithoutProperties(_ref, ['children', 'error', 'label', 'orientation']);

	var classes = [css.container];

	if (orientation === 'horizontal') {
		classes.push(css.isHorizontal);
	}

	if (props.className) {
		classes.push(props.className);
	}

	return React.createElement(
		'div',
		_extends({}, props, { className: classes.join(' ') }),
		!!label && React.createElement(
			'label',
			{ className: css.label },
			label
		),
		React.createElement(
			'div',
			{ className: css.inputWrap },
			children,
			!!error && React.createElement(
				'em',
				{ className: css.error },
				error
			)
		)
	);
}

Field.propTypes = {
	/**
  * Contents of the field
  */
	children: PT.node,

	/**
  * Error to display
  */
	error: PT.string,

	/**
  * Label for the field
  */
	label: PT.string,

	/**
  * Additional classnames
  */
	className: PT.string,

	/**
  * Orientation of the field
  */
	orientation: PT.oneOf(['horizontal', 'vertical'])
};