import React, { PropTypes as PT } from 'react';

import css from '../../styles/tags.css';

/**
 * Tag label, should never be used by itself but always through Tags
 */
export default function Tag(_ref) {
	var label = _ref.label,
	    removeHandler = _ref.removeHandler,
	    className = _ref.className;

	var classes = [css.tag];

	if (className) {
		classes.push(className);
	}

	return React.createElement(
		'div',
		{ className: classes.join(' ') },
		label,
		!!removeHandler && React.createElement('button', {
			type: 'button',
			className: css.removable,
			onClick: function onClick() {
				return removeHandler(label);
			}
		})
	);
}

Tag.propTypes = {
	/**
  * Additional className
  */
	className: PT.string,

	/**
  * Label of tag
  */
	label: PT.string.isRequired,

	/**
  * If set, this tag can be removed through this handler
  */
	removeHandler: PT.func
};