var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { PropTypes as PT } from 'react';

import Tag from './Tag';
import css from '../../styles/tags.css';

/**
 * Tag labels
 */

var Tags = function (_React$Component) {
	_inherits(Tags, _React$Component);

	function Tags(props) {
		_classCallCheck(this, Tags);

		var _this = _possibleConstructorReturn(this, (Tags.__proto__ || Object.getPrototypeOf(Tags)).call(this, props));

		_this.state = {
			tags: props.tags
		};

		_this.removeTag = _this.removeTag.bind(_this);
		return _this;
	}

	_createClass(Tags, [{
		key: 'removeTag',
		value: function removeTag(label) {
			var tags = this.state.tags;
			var updateHandler = this.props.updateHandler;


			tags.splice(tags.indexOf(label), 1);
			this.setState({ tags: tags });

			if (updateHandler) {
				updateHandler(tags);
			}
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    className = _props.className,
			    removable = _props.removable;
			var tags = this.state.tags;

			var classes = [css.tags];

			if (className) {
				classes.push(className);
			}

			return React.createElement(
				'div',
				{ className: classes.join(' ') },
				tags.map(function (tag, idx) {
					return React.createElement(Tag, {
						key: idx,
						label: tag,
						removeHandler: removable ? _this2.removeTag : null
					});
				})
			);
		}
	}]);

	return Tags;
}(React.Component);

Tags.propTypes = {
	/**
  * Additional className
  */
	className: PT.string,

	/**
  * List of tags
  */
	tags: PT.arrayOf(PT.string),

	/**
  * If true, tags can be removed
  */
	removable: PT.bool,

	/**
  * Set an update handler that is called when a tag is removed
  */
	updateHandler: PT.func
};
Tags.defaultProps = {
	tags: [],
	removable: false
};
export default Tags;