'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = Alert;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _alert = require('../../styles/alert.css');

var _alert2 = _interopRequireDefault(_alert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Alert messages
 */
function Alert(_ref) {
	var children = _ref.children,
	    className = _ref.className,
	    type = _ref.type,
	    props = _objectWithoutProperties(_ref, ['children', 'className', 'type']);

	var classes = [_alert2.default.alert, _alert2.default[type]];

	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		'div',
		_extends({}, props, {
			className: classes.join(' ')
		}),
		children
	);
}

Alert.propTypes = {
	/**
  * Contents of the Alert
  */
	children: _react.PropTypes.node.isRequired,

	/**
  * Additional className
  */
	className: _react.PropTypes.string,

	/**
  * Type of the Alert
  */
	type: _react.PropTypes.oneOf(['info', 'success', 'warning', 'error'])
};

Alert.defaultProps = {
	type: 'info'
};