'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = Card;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _card = require('../../styles/card.css');

var _card2 = _interopRequireDefault(_card);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * A card to be used for displaying things
 */
function Card(_ref) {
	var children = _ref.children,
	    className = _ref.className,
	    image = _ref.image,
	    props = _objectWithoutProperties(_ref, ['children', 'className', 'image']);

	var classes = [_card2.default.card];

	if (className) {
		classes.push(className);
	}

	if (image) {
		classes.push(_card2.default.imageCard);
	}

	return _react2.default.createElement(
		'div',
		_extends({}, props, { className: classes.join(' ') }),
		image && _react2.default.createElement(
			'div',
			{ className: _card2.default.imageContainer },
			_react2.default.createElement('img', { src: image, alt: '' })
		),
		_react2.default.createElement(
			'div',
			{ className: _card2.default.content },
			children
		)
	);
}

Card.propTypes = {
	/**
  * Children for this component
  */
	children: _react.PropTypes.node,

	/**
  * Additional className
  */
	className: _react.PropTypes.string,

	/**
  * Image to be displayed in the card
  */
	image: _react.PropTypes.string
};