'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.UnityEmbed = UnityEmbed;
exports.FlashEmbed = FlashEmbed;
exports.default = Game;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _game = require('../../styles/game.css');

var _game2 = _interopRequireDefault(_game);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function UnityEmbed(_ref) {
	var content = _ref.content;

	var unityInstalled = typeof navigator !== 'undefined' && navigator.mimeTypes && navigator.mimeTypes['application/vnd.unity'] && navigator.mimeTypes['application/vnd.unity'].enabledPlugin && navigator.plugins && navigator.plugins['Unity Player'];

	if (!unityInstalled) {
		return _react2.default.createElement(
			'div',
			{ className: _game2.default.notInstalled },
			_react2.default.createElement(
				'p',
				null,
				'Unity Web Player not installed.'
			)
		);
	}

	return _react2.default.createElement('embed', {
		type: 'application/vnd.unity',
		src: content
	});
}

UnityEmbed.propTypes = {
	content: _react.PropTypes.string
};

function FlashEmbed(_ref2) {
	var content = _ref2.content;

	return _react2.default.createElement(
		'object',
		{ data: content },
		_react2.default.createElement('param', { name: 'movie', value: content }),
		_react2.default.createElement('param', { name: 'allowScriptAccess', value: 'always' }),
		_react2.default.createElement('param', { name: 'allowNetworking', value: 'internal' })
	);
}

FlashEmbed.propTypes = {
	content: _react.PropTypes.string
};

function Game(_ref3) {
	var className = _ref3.className,
	    content = _ref3.content,
	    height = _ref3.height,
	    type = _ref3.type,
	    width = _ref3.width,
	    props = _objectWithoutProperties(_ref3, ['className', 'content', 'height', 'type', 'width']);

	var classes = [_game2.default.container];
	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		'div',
		{ className: classes.join(' '), style: { width: width, height: height } },
		type === 'flash' ? _react2.default.createElement(FlashEmbed, _extends({}, props, { content: content })) : type === 'unity' ? _react2.default.createElement(UnityEmbed, _extends({}, props, { content: content })) : type === 'iframe' ? _react2.default.createElement('iframe', { src: content, width: width, height: height }) : 'unsupported game type'
	);
}

Game.propTypes = {
	/**
  * Additional class names
  */
	className: _react.PropTypes.string,

	/**
  * URL to the content
  */
	content: _react.PropTypes.string.isRequired,

	/**
  * Height of the game
  */
	height: _react.PropTypes.number.isRequired,

	/**
  * Type of the game
  */
	type: _react.PropTypes.oneOf(['flash', 'unity', 'iframe']).isRequired,

	/**
  * Width of the game
  */
	width: _react.PropTypes.number.isRequired
};