'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = MenuItem;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

var _menu = require('../../styles/menu.css');

var _menu2 = _interopRequireDefault(_menu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function MenuItem(_ref) {
	var label = _ref.label,
	    url = _ref.url,
	    children = _ref.children,
	    isActive = _ref.isActive,
	    className = _ref.className;

	var classes = [_menu2.default.menuItem];

	if (isActive) {
		classes.push(_menu2.default.menuItemActive);
	}

	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			_reactRouter.Link,
			{ to: url, className: classes.join(' ') },
			label
		),
		children
	);
}

MenuItem.propTypes = {
	/**
  * Children of the MenuItem
  */
	children: _react.PropTypes.node,

	/**
  * Additional className
  */
	className: _react.PropTypes.string,

	/**
  * URL that the MenuItem links to
  */
	url: _react.PropTypes.string.isRequired,

	/**
  * Whether this menu item is currently active
  */
	isActive: _react.PropTypes.bool,

	/**
  * Label of the MenuItem
  */
	label: _react.PropTypes.string.isRequired
};

MenuItem.defaultProps = {
	isActive: false
};