'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = Table;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactabularTable = require('reactabular-table');

var _table = require('../../styles/table.css');

var _table2 = _interopRequireDefault(_table);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Table(_ref) {
	var columns = _ref.columns,
	    rows = _ref.rows,
	    rowKey = _ref.rowKey,
	    className = _ref.className;

	var classes = [_table2.default.table];

	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		_reactabularTable.Provider,
		{ columns: columns, className: classes.join(' ') },
		_react2.default.createElement(_reactabularTable.Header, null),
		_react2.default.createElement(_reactabularTable.Body, { rows: rows, rowKey: rowKey })
	);
}

Table.propTypes = {
	rowKey: _react.PropTypes.string.isRequired,
	rows: _react.PropTypes.arrayOf(_react.PropTypes.object).isRequired,
	columns: _react.PropTypes.arrayOf(_react.PropTypes.object).isRequired,
	className: _react.PropTypes.string
};