'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = Tag;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _tags = require('../../styles/tags.css');

var _tags2 = _interopRequireDefault(_tags);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Tag label, should never be used by itself but always through Tags
 */
function Tag(_ref) {
	var label = _ref.label,
	    removeHandler = _ref.removeHandler,
	    className = _ref.className;

	var classes = [_tags2.default.tag];

	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		'div',
		{ className: classes.join(' ') },
		label,
		!!removeHandler && _react2.default.createElement('button', {
			type: 'button',
			className: _tags2.default.removable,
			onClick: function onClick() {
				return removeHandler(label);
			}
		})
	);
}

Tag.propTypes = {
	/**
  * Additional className
  */
	className: _react.PropTypes.string,

	/**
  * Label of tag
  */
	label: _react.PropTypes.string.isRequired,

	/**
  * If set, this tag can be removed through this handler
  */
	removeHandler: _react.PropTypes.func
};